Subject: Re: [PATCH v2 15/16] repack: introduce `--write-midx=incremental`

From: Taylor Blau <[email-masked]>
Date: Tue, 21 Apr 2026 17:02:09 -0400

On Tue, Apr 21, 2026 at 04:37:57PM -0400, Taylor Blau wrote:
> ---
>  Documentation/config/repack.adoc   |  18 ++
>  Documentation/git-repack.adoc      |  39 ++-
>  builtin/repack.c                   |  49 ++-
>  midx.c                             |  31 ++
>  midx.h                             |   3 +
>  repack-geometry.c                  |  13 +-
>  repack-midx.c                      |   5 +
>  repack.c                           |  56 +++-
>  repack.h                           |  10 +-
>  t/meson.build                      |   1 +
>  t/t7705-repack-incremental-midx.sh | 500 +++++++++++++++++++++++++++++
>  11 files changed, 701 insertions(+), 24 deletions(-)
>  create mode 100755 t/t7705-repack-incremental-midx.sh

I squashed a new test into this commit, but meant to squash it into the
latter. That test depends on functionality that is not yet introduced
until the subsequent commit, hence t7705 fails on this commit.

Since the maintainer is offline currently, I'll avoid re-submitting for
now since this won't get queued anyways. Once there is some review, I'll
re-submit the series with the test squashed into the right commit,
alongside any changes from that review.

Sorry about that.

Thanks,
Taylor